com.pdfunit.filter.field

## Enum FieldType

- java.lang.Object
- - java.lang.Enum<FieldType>
  - - com.pdfunit.filter.field.FieldType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FieldType>

      @DoNotObfuscate
      public enum FieldType
      extends java.lang.Enum<FieldType>

  Enumeration containing the types of PDF formular fields.
  Since:
    2013.01
  Author:
    Carsten Siedentop, January 2013

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHECKBOX`
    `CHOICE`
    `COMBO`
    `LIST`
    `PUSHBUTTON`
    `RADIOBUTTON`
    `SIGNATURE`
    `TEXT`
    `UNKNOWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FieldType` | `getInstance(java.lang.String fieldType)`
    `java.lang.String` | `getValueAsString()`
    `static FieldType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FieldType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHOICE

          public static final FieldType CHOICE

    - #### CHECKBOX

          public static final FieldType CHECKBOX

    - #### COMBO

          public static final FieldType COMBO

    - #### LIST

          public static final FieldType LIST

    - #### PUSHBUTTON

          public static final FieldType PUSHBUTTON

    - #### RADIOBUTTON

          public static final FieldType RADIOBUTTON

    - #### SIGNATURE

          public static final FieldType SIGNATURE

    - #### TEXT

          public static final FieldType TEXT

    - #### UNKNOWN

          public static final FieldType UNKNOWN

  - ### Method Detail

    - #### values

          public static FieldType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldType c : FieldType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueAsString

          public java.lang.String getValueAsString()

    - #### getInstance

          public static FieldType getInstance(java.lang.String fieldType)

Copyright (C) PDFUnit.com. See here for license.